# getopt1.c File Reference

`#include "getopt.h"`
`#include <stdio.h>`

Include dependency graph for getopt1.c:

## Defines

#define | GETOPT_INTERFACE_VERSION 2
#define | NULL 0

## Functions

int | getopt_long (int argc, char *const *argv, const char *options, const struct option *long_options, int *opt_index)
int | getopt_long_only (int argc, char *const *argv, const char *options, const struct option *long_options, int *opt_index)

## Define Documentation

#define GETOPT_INTERFACE_VERSION 2

#define NULL 0

## Function Documentation

int getopt_long | ( | int | argc,
|  | char *const * | argv,
|  | const char * | options,
|  | const struct option * | long_options,
|  | int * | opt_index
| ) |

int getopt_long_only | ( | int | argc,
|  | char *const * | argv,
|  | const char * | options,
|  | const struct option * | long_options,
|  | int * | opt_index
| ) |